MacOSX:Cisco AnyConnect Secure Mobility Clientの任意のコード実行(cisco-sa-anyconnect-ipc-KfQO9QhK)

high Nessus プラグイン ID 148656

概要

リモートデバイスに、ベンダーが提供したセキュリティパッチがありません

説明

自己報告されたバージョンによると、Cisco AnyConnect Secure Mobility Clientは、任意のコード実行の脆弱性の影響を受けます。この脆弱性は、IPCリスナーへの認証がないためです。認証されていないローカルの攻撃者がこの脆弱性を悪用して、AnyConnectクライアントIPCリスナーに細工されたIPCメッセージを送信する可能性があります。
悪用に成功した攻撃者は、標的のAnyConnectユーザーに悪意のあるスクリプトを実行させる可能性があります。このスクリプトは、標的のAnyConnectユーザーの権限で実行します。

詳細については、付属のCisco BIDおよびCisco Security Advisoryを参照してください。

ソリューション

CiscoバグID CSCvv30103に記載されている該当の修正済みバージョンにアップグレードしてください

関連情報

http://www.nessus.org/u?601e2110

https://bst.cloudapps.cisco.com/bugsearch/bug/CSCvv30103

プラグインの詳細

深刻度: High

ID: 148656

ファイル名: macosx_cisco-sa-anyconnect-ipc-KfQO9QhK.nasl

バージョン: 1.3

タイプ: local

エージェント: macosx

公開日: 2021/4/15

更新日: 2021/4/19

構成: パラノイドモードの有効化

サポートされているセンサー: Nessus Agent

リスク情報

CVSS スコアのソース: CVE-2020-3556

VPR

リスクファクター: Critical

スコア: 9

CVSS v2

リスクファクター: Medium

Base Score: 4.4

Temporal Score: 3.3

ベクトル: AV:L/AC:M/Au:N/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: High

Base Score: 7.3

Temporal Score: 6.4

ベクトル: CVSS:3.0/AV:L/AC:L/PR:L/UI:R/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:/a:cisco:anyconnect_secure_mobility_client

必要な KB アイテム: installed_sw/Cisco AnyConnect Secure Mobility Client, Host/MacOSX/Version, Host/local_checks_enabled, Settings/ParanoidReport

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2020/11/4

脆弱性公開日: 2020/11/4

参照情報

CVE: CVE-2020-3556

IAVA: 2020-A-0505-S

CISCO-BUG-ID: CSCvv30103

CISCO-SA: cisco-sa-anyconnect-ipc-KfQO9QhK

CWE: 20